﻿* Encoding: UTF-8.

DATASET ACTIVATE データセット1.
COMPUTE islamq6061=5-q6061.
compute  islamq6062=q6062.
compute islamq6063=q6063.
compute islamq6064=5-q6064.
compute islamq6065=5-q6065.
compute islamq6066=5-q6066.

EXECUTE.
RELIABILITY
  /VARIABLES=islamq6061 islamq6062 islamq6063 islamq6064 islamq6065 islamq6066
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

FACTOR
  /VARIABLES islamq6061 islamq6062 islamq6063 islamq6064 islamq6065 islamq6066
  /MISSING LISTWISE 
  /ANALYSIS islamq6061 islamq6062 islamq6063 islamq6064 islamq6065 islamq6066
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT ROTATION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION ML
  /CRITERIA ITERATE(25)
  /ROTATION PROMAX(4)
  /SAVE REG(ALL).

USE ALL.
COMPUTE filter_$=(q20112 = 1).
VARIABLE LABELS filter_$ 'q20112 = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

T-TEST GROUPS=wave(2 3)
  /MISSING=ANALYSIS
  /VARIABLES=FAC1_1 FAC2_1
  /CRITERIA=CI(.95).

